FdHestonDoubleBarrierEngine Class Reference
Pricing engines » Barrier option engines

Finite-Differences Heston Double Barrier Option engine. More...

`#include <ql/experimental/finitedifferences/fdhestondoublebarrierengine.hpp>`

Inheritance diagram for FdHestonDoubleBarrierEngine:
[legend]

## Public Member Functions

| FdHestonDoubleBarrierEngine (const ext::shared_ptr< HestonModel > &model, Size tGrid=100, Size xGrid=100, Size vGrid=50, Size dampingSteps=0, const FdmSchemeDesc &schemeDesc=FdmSchemeDesc::Hundsdorfer(), const ext::shared_ptr< LocalVolTermStructure > &leverageFct=ext::shared_ptr< LocalVolTermStructure >(), Real mixingFactor=1.0)
void | calculate () const
Public Member Functions inherited from GenericModelEngine< HestonModel, DoubleBarrierOption::arguments, DoubleBarrierOption::results >
| GenericModelEngine (const Handle< HestonModel > &model=Handle< HestonModel >())
| GenericModelEngine (const ext::shared_ptr< HestonModel > &model)
Public Member Functions inherited from GenericEngine< DoubleBarrierOption::arguments, DoubleBarrierOption::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from PricingEngine
virtual arguments * | getArguments () const =0
virtual const results * | getResults () const =0
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Additional Inherited Members

Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Attributes inherited from GenericModelEngine< HestonModel, DoubleBarrierOption::arguments, DoubleBarrierOption::results >
Handle< HestonModel > | model_
Protected Attributes inherited from GenericEngine< DoubleBarrierOption::arguments, DoubleBarrierOption::results >
DoubleBarrierOption::arguments | arguments_
DoubleBarrierOption::results | results_

## Detailed Description

Finite-Differences Heston Double Barrier Option engine.